defmodule Op.Repo.Migrations.CreateQueries do
  use Ecto.Migration

  def change do
    create table(:queries) do
      add :label, :string, null: false
      add :source, :string, null: false
      add :code, :string, null: false
      add :lang, :string, null: false
      add :applies, :utc_datetime
      add :expires, :utc_datetime
      add :cache, :string
      add :chronology, :string
      add :signed, :string, null: false

      timestamps(type: :utc_datetime)
    end
  end
end
